/*C_Cutscene by Choka, if used please give credit. The functions you can use so far are:


Misc Functions:
	Set Center(Mob_Type): Simply call a mob.
	Example: C_Scene(list(usr))


	Relocate: Relocate a mob simply by setting the center and using Relocate.
	Example: C_Scene(list(usr, " I hearby banish you from the area of 5x5 in the location of 5,5,1!" = 20, "Relocate" = list(src,11,11,1)))


	Wait: Just wait...simply wait...
	Example: C_Scene(list(" Wait for it...", "Wait" = 20, " NOW! *shoots the deer*"))
Directional Functions:
	EAST: Change the center's direction to EAST


	WEST: Change the center's direction to WEST


	NORTH: Change the center's direction to NORTH


	SOUTH: Change the center's direction to SOUTH

Object Functions:
	Create: Create a atom and locate it with this format STRICTLY: list(new /atom, x,y,z) if it is anything other than that the proc
	will crash.


	Item: Give the item to the Center mob.

Step Functions:
	Step_North: Make the mob step north.
	Example: C_Scene(list("Step_North", "Step_East","Step_West","Step_South")
	diagnol directions are not supported.


	Step_South: Make the mob step south.
	Example: C_Scene(list("Step_North", "Step_East","Step_West","Step_South")
	diagnol directions are not supported.


	Step_East: Make the mob step eorth.
	Example: C_Scene(list("Step_North", "Step_East","Step_West","Step_South")
	diagnol directions are not supported.


	Step_West: Make the mob step West.
	Example: C_Scene(list("Step_North", "Step_East","Step_West","Step_South")
	diagnol directions are not supported.

Walk Functions:
	Walk_North: Make the mob walk north and stop after a certain amount of time using list associations.
	Example: C_Scene(list("Walk_North" = 5, "Walk_South" = 5, "Walk_East" = 5, "Walk_West" = 5)) diagnol directions are not
	supported.


	Walk_South: Make the mob walk south and stop after a certain amount of time using list associations.
	Example: C_Scene(list("Walk_North" = 5, "Walk_South" = 5, "Walk_East" = 5, "Walk_West" = 5)) diagnol directions are not
	supported.


	Walk_East: Make the mob walk east and stop after a certain amount of time using list associations.
	Example: C_Scene(list("Walk_North" = 5, "Walk_South" = 5, "Walk_East" = 5, "Walk_West" = 5)) diagnol directions are not
	supported.


	Walk_West: Make the mob walk west and stop after a certain amount of time using list associations.
	Example: C_Scene(list("Walk_North" = 5, "Walk_South" = 5, "Walk_East" = 5, "Walk_West" = 5)) diagnol directions are not
	supported.

Teleport Functions:
	Teleport_North: Make the mob move north a couple tiles according to direction.
	Example: C_Scene(list(" I'm super fast! Watch this!" = 5, " Shuuuunpooo!!!" = 5, "Teleport_North" = 5, "Teleport_East" = 5,
	"Teleport_South" = 5, "Teleport_West" = 5))


	Teleport_South: Make the mob move south a couple tiles according to direction.
	Example: C_Scene(list(" I'm super fast! Watch this!" = 5, " Shuuuunpooo!!!" = 5, "Teleport_North" = 5, "Teleport_East" = 5,
	"Teleport_South" = 5, "Teleport_West" = 5))


	Teleport_West: Make the mob move west a couple tiles according to direction.
	Example: C_Scene(list(" I'm super fast! Watch this!" = 5, " Shuuuunpooo!!!" = 5, "Teleport_North" = 5, "Teleport_East" = 5,
	"Teleport_South" = 5, "Teleport_West" = 5))


	Teleport_East: Make the mob move east a couple tiles according to direction.
	Example: C_Scene(list(" I'm super fast! Watch this!" = 5, " Shuuuunpooo!!!" = 5, "Teleport_North" = 5, "Teleport_East" = 5,
	"Teleport_South" = 5, "Teleport_West" = 5))

Screen Functions(All of these functions include the Center mob which MUST have a client or the proc WILL crash.):
	Screen_North: Make the center's screen move north.
	WARNING: CENTER MUST HAVE A CLIENT
	Example: C_Scene(list(" Look up there!" = 5, " Screen_North", " And over there!" = 5, " Screen_East",
	" And now down there!" = 5, " Screen_South", " Also over there!", "Screen_West"))


	Screen_South: Make the center's screen move south.
	WARNING: CENTER MUST HAVE A CLIENT
	Example: C_Scene(list(" Look up there!" = 5, " Screen_North", " And over there!" = 5, " Screen_East",
	" And now down there!" = 5, " Screen_South", " Also over there!", "Screen_West"))

	Screen_East: Make the center's screen move east.
	WARNING: CENTER MUST HAVE A CLIENT
	Example: C_Scene(list(" Look up there!" = 5, " Screen_North", " And over there!" = 5, " Screen_East",
	" And now down there!" = 5, " Screen_South", " Also over there!", "Screen_West"))


	Screen_West: Make the center's screen move west.
	WARNING: CENTER MUST HAVE A CLIENT
	Example: C_Scene(list(" Look up there!" = 5, " Screen_North", " And over there!" = 5, " Screen_East",
	" And now down there!" = 5, " Screen_South", " Also over there!", "Screen_West"))


	Screen_Walk_North: Make the center's screen walk north for a certain time period according to the list association.
	WARNING: CENTER MUST HAVE A CLIENT
	Example: C_Scene(list(" Wow...", "Screen_Walk_North" = 5, " Ooooohhh!", "Screen_Walk_South" = 5, " Okay.", "Screen_Walk_East" = 5," I see!"
	, "Screen_Walk_West" = 5))

	Screen_Walk_South: Make the center's screen walk southth for a certain time period according to the list association.
	WARNING: CENTER MUST HAVE A CLIENT
	Example: C_Scene(list(" Wow...", "Screen_Walk_North" = 5, " Ooooohhh!", "Screen_Walk_South" = 5, " Okay.", "Screen_Walk_East" = 5," I see!"
	, "Screen_Walk_West" = 5))


	Screen_Walk_East: Make the center's screen walk east for a certain time period according to the list association.
	WARNING: CENTER MUST HAVE A CLIENT
	Example: C_Scene(list(" Wow...", "Screen_Walk_North" = 5, " Ooooohhh!", "Screen_Walk_South" = 5, " Okay.", "Screen_Walk_East" = 5," I see!"
	, "Screen_Walk_West" = 5))


	Screen_Walk_West: Make the center's screen walk west for a certain time period according to the list association.
	WARNING: CENTER MUST HAVE A CLIENT
	Example: C_Scene(list(" Wow...", "Screen_Walk_North" = 5, " Ooooohhh!", "Screen_Walk_South" = 5, " Okay.", "Screen_Walk_East" = 5," I see!"
	, "Screen_Walk_West" = 5))


	View_Loc: Change the location of the center mob's client.eye to a location via list association lists...complicated?
	WARNING: CENTER MUST HAVE A CLIENT
	Example: C_Scene(list(" Okay Generic Ninja, your objective lies here..." = 5, "View_Loc" = list(x,y,z), "You must meet up with
	Random Ninja and assassinate the Shogun of Fail." = 50, "Screen_Restore"))


	Screen_Follow: Make the screen follow a movable atom by means of list association.
	WARNING: CENTER MUST HAVE A CLIENT OR FACE THE CRASH
	Example: C_Scene(list(" Bentley: Okay Sly you see that truck over there?" = 20,
	"Screen_Walk_East" = 20, "Screen_Follow" = Truck
	, " Bently: I want you to try and hop onto the back, Jean Bison seems to be storing Clockwork pieces in it!"))
	Lol to the major Sly reference.


	Screen_Obj: Create an object on screen.
	WARNING: CENTER MUST HAVE A CLIENT OR FACE THE CRASH
	Example: C_Scene(list(usr, "Screen_Obj" = list(new/obj/Invis_Demon, "5,5"), " Ummm...What's that?" = 5,
	" What's what?" = 5, " THAT THING BEHIND YOU!!!!???" = 20, " Freak."))


	Screen_Obj_Follow: Create an object on screen which hovers above another.
	WARNING: CENTER MUST HAVE A CLIENT OR FACE THE CRASH
	Example: C_Scene(list(usr, "Screen_Obj_Follow" = list(new /obj/EnemyMarker, Enemy), " A marker which only you seem to be/
	seeing has mysteriously appeared above your enemies!"))


	Screen_Clear: It does exactly that, clears the Center's screen of EVERY...EVERYTHING!
	WARNING: CENTER MUST HAVE A CLIENT OR FACE THE CRASH
	Example: C_Scene(list(usr, "Screen_Clear", " You seem to no longer see the marker which was haunting your vision before!"))
Sound&Appearance Functions:
	PlaySound: Play a sound using single-quotes.
	Example: C_Scene(list("PlaySound" = 'Burp.wav'," Ewww he belched!"))


	Icon: Change the icon to another file.
	Example: C_Scene(list("Icon" = 'Super_Version.dmi'," I am now immortal...INVINCIBLE!")


	Icon_State: Change the icon_state.
	Example: C_Scene(list("Icon_State" = "Weak Super Version", " I am now Super...BUT WEAK at the same time.[/fail]"))


	Small_Jump: A quick leap in the air.
	Example: C_Scene(list("Small_Jump", " ARE YOU JOKING!?"))


Text Functions:
	Shout: Say a text string loudly in all caps.
	Example: C_Scene(list("Shout I'm excited AND using caps!" = 5)


	Regular Msg(Space): You must make the beginning of the text string " " to display a regular message.
	Example: C_Scene(list(" MARIE ANN GET THA SHOT GUN ONE OF THOSE CRITTERS GONE DONE SPAWNED IN THE YARD AGAIN!"))



*/